/** @file
 * $Source: /repository/event/physics/S4/S4Event.cpp,v $
 * $Id: S4Event.cpp,v 1.1 2008-01-11 17:14:22 messineo Exp $
 * $Author: messineo $
 * 
 * Implementation of the S4 physics event class
 */

#include "S4Event.h"

using namespace pamela;
using namespace pamela::S4;

S4Event::S4Event(void): 
  SubPacket("S4", PacketType::Physics, SubDetector::S4),
    S4_REG_STATUS(0),
    S4_DATA(0),
    S4_CMD_NUM(0),
    S4_RESP_LENGHT(0),
    S4_OVERALL_CHKCODE(0){
}

S4Event::~S4Event(void) {

}

ClassImp(S4Event)
